<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>org.apache.commons.dbcp2.managed (Apache Commons DBCP 2.8.0 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<h1 class="bar"><a href="../../../../../org/apache/commons/dbcp2/managed/package-summary.html" target="classFrame">org.apache.commons.dbcp2.managed</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="TransactionContextListener.html" title="interface in org.apache.commons.dbcp2.managed" target="classFrame"><span class="interfaceName">TransactionContextListener</span></a></li>
<li><a href="XAConnectionFactory.html" title="interface in org.apache.commons.dbcp2.managed" target="classFrame"><span class="interfaceName">XAConnectionFactory</span></a></li>
</ul>
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="BasicManagedDataSource.html" title="class in org.apache.commons.dbcp2.managed" target="classFrame">BasicManagedDataSource</a></li>
<li><a href="DataSourceXAConnectionFactory.html" title="class in org.apache.commons.dbcp2.managed" target="classFrame">DataSourceXAConnectionFactory</a></li>
<li><a href="LocalXAConnectionFactory.html" title="class in org.apache.commons.dbcp2.managed" target="classFrame">LocalXAConnectionFactory</a></li>
<li><a href="LocalXAConnectionFactory.LocalXAResource.html" title="class in org.apache.commons.dbcp2.managed" target="classFrame">LocalXAConnectionFactory.LocalXAResource</a></li>
<li><a href="ManagedConnection.html" title="class in org.apache.commons.dbcp2.managed" target="classFrame">ManagedConnection</a></li>
<li><a href="ManagedDataSource.html" title="class in org.apache.commons.dbcp2.managed" target="classFrame">ManagedDataSource</a></li>
<li><a href="PoolableManagedConnection.html" title="class in org.apache.commons.dbcp2.managed" target="classFrame">PoolableManagedConnection</a></li>
<li><a href="PoolableManagedConnectionFactory.html" title="class in org.apache.commons.dbcp2.managed" target="classFrame">PoolableManagedConnectionFactory</a></li>
<li><a href="TransactionContext.html" title="class in org.apache.commons.dbcp2.managed" target="classFrame">TransactionContext</a></li>
<li><a href="TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed" target="classFrame">TransactionRegistry</a></li>
</ul>
</div>
</body>
</html>
